.loader {
	position: absolute;
	margin: auto;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	width: 50px;
	aspect-ratio: 1;
	display: grid;
	border: 4px solid #0000;
	border-radius: 50%;
	border-color: #ccc #0000;
	animation: l16 1s infinite linear;
}

.loader::before, .loader::after {
	content: "";
	grid-area: 1/1;
	margin: 2px;
	border: inherit;
	border-radius: 50%;
}

.loader::before {
	border-color: #8d1007 #0000;
	animation: inherit; 
	animation-duration: .5s;
	animation-direction: reverse;
}

.loader::after { margin: 8px; }

@keyframes l16 { 100% { transform: rotate(1turn) } }